View Issue Details

IDProjectCategoryView StatusLast Update
00291152.x IDE BugsBuild AndroidPublic2018-06-12 14:30
ReporterSam CummingAssigned ToSteven Campbell 
PriorityMediumSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroid YYCOSWindows 10OS Version
Product Version2.1.3 
Target Version2.1.4Fixed in Version2.1.4 
Summary0029115: Build Android: Package names with extra '.' in them fail when built via YYC
DescriptionIf you build using Android YYC and your Package Name has extra '.' in it, e.g: com.yoyogames.game.some.other.name, then your build will fail during the architecture build step.

Building for VM with extra '.' works fine and no issues occur.
Steps To Reproduce1. Open any project.
2. Go to Game Options > Android and change the package name so that the 'Package Product' section has some extra '.'
3. Target Android YYC and build.
4. Observe that the build fails during the architecture build step.

Repro: 100%
2.x IDE Found In2.1.3.273
2.x Runtime Found In2.1.3.189
2.x IDE Verified In2.1.4.282
2.x Runtime Verified In2.1.4.199

Activities

Sam Cumming

2018-03-09 11:30

Adminstrator  

CompileLog.txt (8,225 bytes)
"cmd"  /c subst W: "C:\Users\samuel.balbirnie-cumming\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE"

elapsed time 00:00:00.0660010s for command "cmd" /c subst W: "C:\Users\samuel.balbirnie-cumming\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE" started at 03/09/2018 11:18:39
Saving project to: C:\Users\samuel.balbirnie-cumming\Documents\GameMakerStudio2\PackageNameTest\PackageNameTest.yyp
"C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/bin/Igor.exe"  -options="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff"  -- Android Run

Loaded Macros from C:\Users\samuel.balbirnie-cumming\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\PackageNam_B69D3723_42707B5B\macros.json
Options: C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189\bin\platform_setting_defaults.json
Options: C:\Users\samuel.balbirnie-cumming\AppData\Roaming/GameMakerStudio2\forsamori_338212\local_settings.json
Options: C:\Users\samuel.balbirnie-cumming\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\PackageNam_B69D3723_42707B5B\targetoptions.json
C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/bin/GMAssetCompiler.exe  /c /zpex /mv=1 /iv=0 /rv=0 /bv=0 /j=8 /gn="PackageNameTest" /td="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP" /cd="W:\PackageNam_B69D3723_42707B5B" /zpuf="C:\Users\samuel.balbirnie-cumming\AppData\Roaming/GameMakerStudio2\forsamori_338212" /m=llvm-android /tgt=8 /llvmSource="C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/"  /nodnd /cfg=default /fU="W:\PackageNam_B69D3723_42707B5B\functionsUsed.txt" /o="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP\PackageNameTest_5A39B9A6_YYC" /optionsini="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP\PackageNameTest_5A39B9A6_YYC\options.ini"  /cvm /baseproject="C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189\BaseProject\BaseProject.yyp" "C:\Users\samuel.balbirnie-cumming\Documents\GameMakerStudio2\PackageNameTest\PackageNameTest.yyp" /preprocess="W:\PackageNam_B69
D3723_42707B5B"
Reading project file....C:\Users\samuel.balbirnie-cumming\Documents\GameMakerStudio2\PackageNameTest
Reading project file....C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189\BaseProject
Reading config delta 'C:\Users\samuel.balbirnie-cumming\Documents\GameMakerStudio2\PackageNameTest\options\main\inherited\options_main.inherited.yy'
finished.


C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/bin/GMAssetCompiler.exe DONE (0)
Release build
PlatformOptions
Options: W:\PackageNam_B69D3723_42707B5B\PlatformOptions.json
Options: W:\PackageNam_B69D3723_42707B5B\MainOptions.json
displayname
hostname
runtime
working dir: C:\Program Files\GameMaker Studio 2
C:\Users\samuel.balbirnie-cumming\AppData\Local\Android\sdk\platform-tools\adb devices
OptionsIni
PlatformOptions
C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/bin/GMAssetCompiler.exe  /c /zpex /mv=1 /iv=0 /rv=0 /bv=0 /j=8 /gn="PackageNameTest" /td="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP" /cd="W:\PackageNam_B69D3723_42707B5B" /zpuf="C:\Users\samuel.balbirnie-cumming\AppData\Roaming/GameMakerStudio2\forsamori_338212" /m=llvm-android /tgt=8 /llvmSource="C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/"  /nodnd /cfg=default /fU="W:\PackageNam_B69D3723_42707B5B\functionsUsed.txt" /o="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP\PackageNameTest_5A39B9A6_YYC" /optionsini="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP\PackageNameTest_5A39B9A6_YYC\options.ini"  /cvm /baseproject="C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189\BaseProject\BaseProject.yyp" "C:\Users\samuel.balbirnie-cumming\Documents\GameMakerStudio2\PackageNameTest\PackageNameTest.yyp" /arch=3 /bt=exe
Reading project file....C:\Users\samuel.balbirnie-cumming\Documents\GameMakerStudio2\PackageNameTest
Reading project file....C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189\BaseProject
Reading config delta 'C:\Users\samuel.balbirnie-cumming\Documents\GameMakerStudio2\PackageNameTest\options\main\inherited\options_main.inherited.yy'
finished.
Compile Constants...finished.
Remove DnD...finished.
Compile Scripts...finished.
Compile Objects...finished.
Compile Timelines...finished.
Compile Triggers...finished.
Compile Rooms...finished.
Compile Extensions...finished.
Global scripts...finished.
Final Compile...finished.
Writing Chunk... GEN8
option_game_speed=30
Writing Chunk... OPTN
Writing Chunk... LANG
Writing Chunk... EXTN
Writing Chunk... SOND
Writing Chunk... AGRP
Writing Chunk... SPRT
Writing Chunk... BGND
Writing Chunk... PATH
Writing Chunk... SCPT
Writing Chunk... GLOB
Writing Chunk... SHDR
Writing Chunk... FONT
Writing Chunk... TMLN
Writing Chunk... OBJT
Writing Chunk... ROOM
Writing Chunk... DAFL
Writing Chunk... EMBI
Writing Chunk... TPAGE
Texture Group - Default
Writing Chunk... CODE
Writing Chunk... VARI
Writing Chunk... FUNC
Writing Chunk... STRG
Writing Chunk... TXTR
0 Compressing texture... writing texture texture_0.png... 
Writing Chunk... AUDO
Using NDKDir = C:\Users\samuel.balbirnie-cumming\AppData\Local\Android\sdk\ndk-bundle
Using PlatformDir = C:\Users\samuel.balbirnie-cumming\AppData\Local\Android\sdk\ndk-bundle\platforms\android-14
Using ARMToolChain = C:\Users\samuel.balbirnie-cumming\AppData\Local\Android\sdk\ndk-bundle\toolchains\arm-linux-androideabi-4.9\prebuilt\windows-x86_64
saving file C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP\PackageNameTest_5A39B9A6_YYC\PackageNameTest.droid
Build for architecture - armv5

In file included from W:/PackageNam_B69D3723_42707B5B/PackageNameTest/default/Scripts/gml_Object_object0_PreCreate_0.gml.cpp:1:
In file included from C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include\YYGML.h:5:
C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include/YYStd.h:40:10: fatal error: 'stdlib.h' file not found
#include <stdlib.h>
         ^
In file included from W:/PackageNam_B69D3723_42707B5B/PackageNameTest/default/Scripts/PackageNameTest.vars.cpp:1:
In file included from C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include\YYGML.h:5:
C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include/YYStd.h:40:10: fatal error: 'stdlib.h' file not found
#include <stdlib.h>
         ^
1 error generated.
1 error generated.
Build for architecture - armv7

In file included from W:/PackageNam_B69D3723_42707B5B/PackageNameTest/default/Scripts/gml_Object_object0_PreCreate_0.gml.cpp:1:
In file included from C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include\YYGML.h:5:
C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include/YYStd.h:40:10: fatal error: 'stdlib.h' file not found
#include <stdlib.h>
         ^
In file included from W:/PackageNam_B69D3723_42707B5B/PackageNameTest/default/Scripts/PackageNameTest.vars.cpp:1:
In file included from C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include\YYGML.h:5:
C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/yyc/include/YYStd.h:40:10: fatal error: 'stdlib.h' file not found
#include <stdlib.h>
         ^
1 error generated.
1 error generated.
Stats : GMA : Elapsed=1410.2688
Stats : GMA : sp=1,au=0,bk=0,pt=0,sc=0,sh=0,fo=0,tl=0,ob=1,ro=1,da=0,ex=0,ma=3,fm=0x200000000000


C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/bin/GMAssetCompiler.exe exited with non-zero status (1)
elapsed time 00:00:03.5125980s for command "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.1.3.189/bin/Igor.exe" -options="C:\Users\samuel.balbirnie-cumming\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff"  -- Android Run started at 03/09/2018 11:18:39
"cmd"  /c subst W: /d

elapsed time 00:00:00.0669963s for command "cmd" /c subst W: /d started at 03/09/2018 11:18:43
FAILED: Run Program Complete

CompileLog.txt (8,225 bytes)

Steven Campbell

2018-03-12 16:45

Developer   ~0058119

Fixed in Red IDE/GitHub Pull Request 4024
Git Id: c042132d183d079b9c6af8975109c8ee5752892c

Sam Cumming

2018-03-29 11:03

Adminstrator   ~0058436

Verified > 2.1.4.282 / rt 2.1.4.199 - Closing.